- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GAuth::SaslServer::Secrets Class Referenceabstract

An interface used by GAuth::SaslServer to obtain authentication secrets. More...

`#include <gsaslserver.h>`

Inheritance diagram for GAuth::SaslServer::Secrets:

## Public Member Functions
virtual std::string | secret (const std::string &mechanism, const std::string &id) const =0
virtual std::string | source () const =0
virtual | ~Secrets ()
virtual bool | contains (const std::string &mechanism) const =0
Public Member Functions inherited from GAuth::Valid
virtual bool | valid () const =0
| Returns true if a valid source of information. More...
virtual | ~Valid ()
| Destructor. More...

## Detailed Description

An interface used by GAuth::SaslServer to obtain authentication secrets.

Definition at line 81 of file gsaslserver.h.

## Constructor & Destructor Documentation

GAuth::SaslServer::Secrets::~Secrets | ( |  | ) |
| virtual

Reimplemented in GAuth::Secrets, and GPop::Secrets.

Definition at line 32 of file gsaslserver.cpp.

## Member Function Documentation

virtual bool GAuth::SaslServer::Secrets::contains | ( | const std::string & | mechanism | ) | const
| pure virtual

Implemented in GAuth::Secrets, and GPop::Secrets.

Referenced by GAuth::SaslServerBasicImp::SaslServerBasicImp().

virtual std::string GAuth::SaslServer::Secrets::secret | ( | const std::string & | mechanism,
|  | const std::string & | id
| ) |  | const
| pure virtual

Implemented in GAuth::Secrets, and GPop::Secrets.

virtual std::string GAuth::SaslServer::Secrets::source | ( |  | ) | const
| pure virtual

Implemented in GAuth::Secrets, and GPop::Secrets.

The documentation for this class was generated from the following files:

- gsaslserver.h
- gsaslserver.cpp